Create a new Account Provider
POST/accounts/{account_id}/ai-gateway/custom-providers
Creates a new AI Gateway.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Body ParametersJSON
Create a new Account Provider
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/ai-gateway/custom-providers \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
-d '{
"base_url": "https://example.com",
"name": "name",
"slug": "slug"
}'{
"result": {
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"base_url": "https://example.com",
"created_at": "2019-12-27T18:11:19.117Z",
"modified_at": "2019-12-27T18:11:19.117Z",
"name": "name",
"slug": "slug",
"beta": true,
"curl_example": "curl_example",
"description": "description",
"enable": true,
"headers": "headers",
"js_example": "js_example",
"link": "link",
"logo": "logo",
"position": 0
},
"success": true
}Returns Examples
{
"result": {
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"base_url": "https://example.com",
"created_at": "2019-12-27T18:11:19.117Z",
"modified_at": "2019-12-27T18:11:19.117Z",
"name": "name",
"slug": "slug",
"beta": true,
"curl_example": "curl_example",
"description": "description",
"enable": true,
"headers": "headers",
"js_example": "js_example",
"link": "link",
"logo": "logo",
"position": 0
},
"success": true
}